package com.fireworksdk.bridge.models

import org.json.JSONObject

object FWButtonInfoSerializer {

  private const val IMAGE_NAME_KEY = "imageName"
  private const val TINT_COLOR_KEY = "tintColor"

  fun serialize(model: FWButtonInfoModel?): JSONObject? {
    model ?: return null
    val jsonObject = JSONObject()
    jsonObject.put(IMAGE_NAME_KEY, model.imageName)
    jsonObject.put(TINT_COLOR_KEY, model.tintColor)
    return jsonObject
  }
}