package com.fireworksdk.bridge.models.enums

enum class FWVideoPlayerCTAWidth(val rawValue: String) {
  FullWidth("fullWidth"),
  Compact("compact"),
  SizeToFit("sizeToFit");

  companion object {
    fun deserialize(rawValue: String?): FWVideoPlayerCTAWidth? {
      rawValue ?: return null
      return FWVideoPlayerCTAWidth.values().first { it.rawValue == rawValue }
    }

    fun serialize(model: FWVideoPlayerCTAWidth?): String? {
      model ?: return null
      return model.rawValue
    }
  }
}