//
//  VideoPlayerLogoConfiguration.swift
//  fw_flutter_sdk
//
//  Created by Haitao Shangguan on 2023/9/19.
//

import Foundation

public struct VideoPlayerLogoConfiguration: Codable, Equatable {
    enum LogoOption: String, Codable {
        case disabled
        case creator
        case channelAggregator
    }
    var option: LogoOption = .disabled
    var encodedId: String?
    var isClickable: Bool?
}
