import 'package:flutter_test/flutter_test.dart';
import 'package:fw_flutter_sdk/src/models/ios_font_info.dart';
import 'package:fw_flutter_sdk/src/utils/model_utils/ios_font_info_util.dart';

void main() {
  test('IOSFontInfoUtil toJson', () {
    final iOSFontInfo = IOSFontInfo(
      fontName: "Helvetica",
      systemFontStyle: IOSSystemFontStyle.italic,
      systemFontWeight: IOSSystemFontWeight.heavy,
    );
    final json = IOSFontInfoUtil.toJson(iOSFontInfo);
    expect(json["fontName"], iOSFontInfo.fontName);
    expect(json["systemFontStyle"], iOSFontInfo.systemFontStyle?.name);
    expect(json["systemFontWeight"], iOSFontInfo.systemFontWeight?.name);
  });
}
