import 'package:flutter_test/flutter_test.dart';
import 'package:fw_flutter_sdk/src/models/method_names.dart';
import 'package:fw_flutter_sdk/src/utils/model_utils/method_names_util.dart';

void main() {
  test('FWMethodNameUtil', () {
    for (var value in FireworkSDKMethodName.values) {
      expect(
        FireworkSDKMethodNameUtil.createMethodName(value.rawName),
        value,
      );
    }
  });

  test('FWShoppingMethodNameUtil', () {
    for (var value in ShoppingMethodName.values) {
      expect(
        ShoppingMethodNameUtil.createMethodName(value.rawName),
        value,
      );
    }
  });

  test('FWVideoFeedMethodNameUtil', () {
    for (var value in VideoFeedMethodName.values) {
      expect(
        VideoFeedMethodNameUtil.createMethodName(value.rawName),
        value,
      );
    }
  });

  test('FWLiveStreamMethodNameUtil', () {
    for (var value in LiveStreamMethodName.values) {
      expect(
        LiveStreamMethodNameUtil.createMethodName(value.rawName),
        value,
      );
    }
  });

  test('FWStoryBlockMethodNameUtil', () {
    for (var value in StoryBlockMethodName.values) {
      expect(
        StoryBlockMethodNameUtil.createMethodName(value.rawName),
        value,
      );
    }
  });
}
