package com.fireworksdk.bridge.components.base

import android.content.Context
import android.util.AttributeSet
import android.view.LayoutInflater
import android.view.ViewGroup
import android.widget.FrameLayout
import com.fireworksdk.bridge.R

class FWLoading(
  context: Context,
  attrs: AttributeSet?
) : FrameLayout(context, attrs) {

  constructor(context: Context) : this(context, null)

  init {
    val v =
      LayoutInflater.from(context).inflate(R.layout.fw_loading, this, false)
    addView(v, LayoutParams(ViewGroup.LayoutParams.MATCH_PARENT, ViewGroup.LayoutParams.MATCH_PARENT))
  }
}