package com.fireworksdk.bridge.flutter.platformview

import android.app.Activity
import android.view.View
import com.fireworksdk.bridge.components.base.FWLoading
import io.flutter.plugin.platform.PlatformView

class FWLoadingPlatformView(
  activity: Activity,
  id: Int
) : PlatformView {

  private val loading = FWLoading(activity)

  override fun getView(): View? {
    return loading
  }

  override fun dispose() {
  }

}