package com.fireworksdk.bridge.models.enums

enum class FWAppearanceMode(val rawValue: String) {
  Dark("dark"),
  Light("light");

  companion object {
    fun deserialize(rawValue: String?): FWAppearanceMode? {
      rawValue ?: return null
      return FWAppearanceMode.values().first { it.rawValue == rawValue }
    }

    fun serialize(model: FWAppearanceMode?): String? {
      model ?: return null
      return model.rawValue
    }
  }
}