package com.fireworksdk.bridge.models.enums

enum class FWProductCardCtaButtonTextValue(val rawValue: String) {
  ShopNow("shopNow"),
  BuyNow("buyNow");

  companion object {
    fun deserialize(rawValue: String?): FWProductCardCtaButtonTextValue? {
      rawValue ?: return null
      return values().first { it.rawValue == rawValue }
    }

    fun serialize(model: FWProductCardCtaButtonTextValue?): String? {
      model ?: return null
      return model.rawValue
    }
  }
}