package com.fireworksdk.bridge.models.enums

enum class FWProductCardTheme(val rawValue: String) {
  Dark("dark"),
  Light("light");

  companion object {
    fun deserialize(rawValue: String?): FWProductCardTheme? {
      rawValue ?: return null
      return values().first { it.rawValue == rawValue }
    }

    fun serialize(model: FWProductCardTheme?): String? {
      model ?: return null
      return model.rawValue
    }
  }
}