package com.fireworksdk.bridge.models.enums

enum class FWVideoPlayerLogoOption(val rawValue: String) {
  Disabled("disabled"),
  Creator("creator"),
  ChannelAggregator("channelAggregator");

  companion object {
    fun deserialize(rawValue: String?): FWVideoPlayerLogoOption? {
      rawValue ?: return null
      return FWVideoPlayerLogoOption.values().first { it.rawValue == rawValue }
    }

    fun serialize(model: FWVideoPlayerLogoOption?): String? {
      model ?: return null
      return model.rawValue
    }
  }
}
