package com.fireworksdk.bridge.utils

import android.content.Context
import android.util.TypedValue

object FWCommonUtil {

  fun spToPx(sp: Float, context: Context): Int {
    return TypedValue.applyDimension(
      TypedValue.COMPLEX_UNIT_SP,
      sp,
      context.resources.displayMetrics,
    ).toInt()
  }

  fun dpToPx(sp: Float, context: Context): Int {
    return TypedValue.applyDimension(
      TypedValue.COMPLEX_UNIT_DIP,
      sp,
      context.resources.displayMetrics,
    ).toInt()
  }
}
