//
//  StoryBlockConfiguration.swift
//  fw_flutter_sdk
//
//  Created by linjie jiang on 6/26/23.
//

import Foundation

public class StoryBlockConfiguration: NSObject, Codable {
    var playerStyle: VideoPlayerStyle?
    var videoCompleteAction: VideoPlayerCompleteAction?
    var showShareButton: Bool?
    var ctaButtonStyle: VideoPlayerCTAStyle?
    var showPlaybackButton: Bool?
    var showMuteButton: Bool?
    var showBranding: Bool?
    var shareBaseURL: String?
    var ctaWidth: VideoPlayerCTAWidth?
    var ctaDelay: VideoPlayerCTADelay?
    var ctaHighlightDelay: VideoPlayerCTADelay?
    var enablePictureInPicture: Bool?
    var buttonConfiguration: VideoPlayerButtonConfiguration?
    var showVideoDetailTitle: Bool?
    var videoPlayerLogoConfiguration: VideoPlayerLogoConfiguration?
    var replayBadgeConfiguration: ReplayBadgeConfiguration?
    var countdownTimerConfiguration: CountdownTimerConfiguration?
}
