class VideoFeedShadowConfiguration {
  double? opacity;
  String? color;
  double? width;
  double? height;

  VideoFeedShadowConfiguration({
    this.opacity,
    this.color,
    this.width,
    this.height,
  });

  @override
  bool operator ==(Object other) {
    if (identical(this, other)) {
      return true;
    }

    if (other is VideoFeedShadowConfiguration) {
      return opacity == other.opacity &&
          color == other.color &&
          width == other.width &&
          height == other.height;
    }

    return false;
  }

  @override
  int get hashCode =>
      opacity.hashCode ^ color.hashCode ^ width.hashCode ^ height.hashCode;

  VideoFeedShadowConfiguration deepCopy() => VideoFeedShadowConfiguration(
        opacity: opacity,
        color: color,
        width: width,
        height: height,
      );
}
