import 'package:flutter_test/flutter_test.dart';
import 'package:fw_flutter_sdk/src/models/replay_badge_configuration.dart';
import 'package:fw_flutter_sdk/src/utils/model_utils/replay_badge_configuration_util.dart';

void main() {
  test("AdBadgeConfigurationUtil toJson", () {
    final config = ReplayBadgeConfiguration(
      isHidden: true,
    );
    final json = ReplayBadgeConfigurationUtil.toJson(config);
    final expectedJson = <String, dynamic>{
      "isHidden": true,
    };

    expect(json, expectedJson);
  });
}
